Package org.apache.sysds.runtime.transform.encode

# Class CompressedEncode

java.lang.Object
org.apache.sysds.runtime.transform.encode.CompressedEncode

public class CompressedEncode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`ROW_PARALLELIZATION_THRESHOLD`
Row parallelization threshold for parallel creation of AMapToData for compression

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`encode(MultiColumnEncoder enc, FrameBlock in, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ROW_PARALLELIZATION_THRESHOLD

public static int ROW_PARALLELIZATION_THRESHOLD
Row parallelization threshold for parallel creation of AMapToData for compression

## Method Details

### encode

public static MatrixBlock encode(MultiColumnEncoder enc, FrameBlock in, int k) throws Exception

Throws:
  `Exception`